summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorRainer Gerhards <rgerhards@adiscon.com>2009-05-28 18:34:17 +0200
committerRainer Gerhards <rgerhards@adiscon.com>2009-05-28 18:34:17 +0200
commitd7c98e7a6ec28a6c76bccf16d83f36b34a705410 (patch)
tree66807ada649997bb6e5c8928a6a95870f43d926e /tests
parentc6a2dafb2fc5d186ef146035f270a4819075eab1 (diff)
parent8d8befaeca0d9ed3f096780e499a3231f16585c4 (diff)
downloadrsyslog-d7c98e7a6ec28a6c76bccf16d83f36b34a705410.tar.gz
rsyslog-d7c98e7a6ec28a6c76bccf16d83f36b34a705410.tar.xz
rsyslog-d7c98e7a6ec28a6c76bccf16d83f36b34a705410.zip
Merge branch 'beta' into master
Conflicts: tests/Makefile.am
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am8
-rw-r--r--tests/testsuites/invalid.conf3
-rw-r--r--tests/testsuites/valid.conf3
-rwxr-xr-xtests/validation-run.sh38
4 files changed, 51 insertions, 1 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 7a7b8147..e93aba10 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -1,9 +1,11 @@
TESTRUNS = rt_init rscript
check_PROGRAMS = $(TESTRUNS) ourtail nettester tcpflood chkseq
-TESTS = $(TESTRUNS) cfg.sh manytcp.sh diskqueue.sh imtcp-multiport.sh queue-persist.sh
+TESTS = $(TESTRUNS) cfg.sh manytcp.sh diskqueue.sh imtcp-multiport.sh queue-persist.sh \
+ validation-run.sh
if ENABLE_OMSTDOUT
TESTS += omod-if-array.sh parsertest.sh inputname.sh fieldtest.sh
endif
+
TESTS_ENVIRONMENT = RSYSLOG_MODDIR='$(abs_top_builddir)'/runtime/.libs/
DISTCLEANFILES=rsyslog.pid '$(abs_top_builddir)'/DiagTalker.class
test_files = testbench.h runtime-dummy.c
@@ -11,6 +13,10 @@ test_files = testbench.h runtime-dummy.c
check_JAVA = DiagTalker.java
EXTRA_DIST= 1.rstest 2.rstest 3.rstest err1.rstest \
+ validation-run.sh \
+ testsuites/invalid.conf \
+ testsuites/valid.conf \
+ cfg.sh \
cfg1.cfgtest \
cfg1.testin \
cfg2.cfgtest \
diff --git a/tests/testsuites/invalid.conf b/tests/testsuites/invalid.conf
new file mode 100644
index 00000000..8a865ba5
--- /dev/null
+++ b/tests/testsuites/invalid.conf
@@ -0,0 +1,3 @@
+# This is an invalid config file that shall trigger an exit code
+# with the config verification run
+$invalid
diff --git a/tests/testsuites/valid.conf b/tests/testsuites/valid.conf
new file mode 100644
index 00000000..250f0546
--- /dev/null
+++ b/tests/testsuites/valid.conf
@@ -0,0 +1,3 @@
+# This is an invalid config file that shall trigger an exit code
+# with the config verification run
+*.* /tmp/data.log
diff --git a/tests/validation-run.sh b/tests/validation-run.sh
new file mode 100755
index 00000000..10981290
--- /dev/null
+++ b/tests/validation-run.sh
@@ -0,0 +1,38 @@
+# check if the configuration test run detects invalid config files.
+#
+# Part of the testbench for rsyslog.
+#
+# Copyright 2009 Rainer Gerhards and Adiscon GmbH.
+#
+# This file is part of rsyslog.
+#
+# Rsyslog is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Rsyslog is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Rsyslog. If not, see <http://www.gnu.org/licenses/>.
+#
+# A copy of the GPL can be found in the file "COPYING" in this distribution.
+#set -x
+echo "testing a failed configuration verification run"
+../tools/rsyslogd -u2 -c3 -N1 -f$srcdir/testsuites/invalid.conf
+if [ $? -ne 1 ]; then
+ exit 1
+fi
+echo testing a valid config verification run
+../tools/rsyslogd -u2 -c3 -N1 -f$srcdir/testsuites/valid.conf
+if [ $? -ne 0 ]; then
+ exit 1
+fi
+echo testing empty config file
+../tools/rsyslogd -u2 -c3 -N1 -f/dev/null
+if [ $? -ne 1 ]; then
+ exit 1
+fi